# 32/64bit spec-file
#
%define __libtoolize /bin/true

Summary: 	GNOME DV-editing utility
Name: 		kino
Version:	1.3.4
Release: 	%mkrel 8
Source0: 	http://downloads.sourceforge.net/sourceforge/kino/%{name}-%{version}.tar.xz
Patch0: 	kino-1.3.4-fix-desktopsoundwrapper-file.patch
Patch1: 	kino-1.3.4-v4l1.patch
Patch2: 	kino-1.3.2-fix-str-fmt.patch
Patch5:		kino-1.3.4-ffmpeg0.8.patch
Patch6:		kino-1.3.4-libav-0.8.patch
Patch7:		kino-1.3.4-link.patch
Patch8:		kino-1.3.4-automake-1.13.patch
URL: 		http://www.kinodv.org/
License: 	GPLv2+
Group: 		Video
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	a52dec-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	libavc1394-devel
BuildRequires:	libdv-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	libglade2.0-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:	libiec61883-devel
BuildRequires:	libquicktime-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libxv-devel
BuildRequires:	perl-XML-Parser
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
Requires:	udev
Requires:	mjpegtools
Requires:	soundwrapper
Requires:	ffmpeg
Requires(post):		shared-mime-info
Requires(postun):	shared-mime-info
Obsoletes:		%name < %version


%description
The new generation of digital camcorders use the Digital Video (DV) data
format. Kino allows you to record, create, edit, and play movies recorded
with DV camcorders. Unlike other editors, this program uses many keyboard
commands for fast navigating and editing inside the movie.

%package	devel
Group:		Development/C++
Summary:	Header files for kino plugin development
Requires:	%{name} = %{version}-%{release}
Requires:	libsamplerate-devel
Requires:	libdv-devel
Requires:	libgnomeui2-devel
Requires:	libxml2-devel
Requires:	libffmpeg-devel

%description	devel
This contains the C++ headers needed to build extensions for kino.

%prep
%setup -q
%patch0 -p0
%patch1 -p1
%patch2 -p0
%patch5 -p0
%patch6 -p1
%patch7 -p0
%patch8 -p1

%build
# More ffmpeg encoder name changes
sed -i -e 's,vcodec h264,vcodec libx264,g' scripts/exports/*
sed -i -e 's,acodec mp3,acodec libmp3lame,g' scripts/exports/ffmpeg_mp3.sh

export CPPFLAGS="%{optflags} -I%{_includedir}/libavcodec -I%{_includedir}/libavdevice -I%{_includedir}/libavformat -I%{_includedir}/libavcodec -I%{_includedir}/libpostproc -I%{_includedir}/libswscale"

autoreconf -fi
%configure2_5x	--with-quicktime --disable-local-ffmpeg

%make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
%makeinstall_std

rm -rf %{buildroot}%{_sysconfdir}/hotplug/ %{buildroot}%{_libdir}/hotplug

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
install -m 644 pixmaps/%{name}.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert -scale 32 pixmaps/%{name}.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 16 pixmaps/%{name}.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

%find_lang %{name}

%post
%{update_menus}
%{update_icon_cache hicolor}
update-mime-database %{_datadir}/mime > /dev/null

%postun
%{clean_menus}
%{clean_icon_cache hicolor}
update-mime-database %{_datadir}/mime > /dev/null

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog NEWS README* TODO
%{_sysconfdir}/udev/rules.d/kino.rules
%{_bindir}/*
%{_datadir}/mime/packages/kino.xml
%{_mandir}/man1/*
%{_datadir}/kino/
%{_datadir}/pixmaps/*
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/*
%{_libdir}/kino-gtk2/

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}


%changelog
* Tue Nov 18 2014 bb <bb> 1.3.4-8pclos2014
- udpate for new ffmpeg 2.4.3

* Fri Oct 11 2013 billybot <billybot> 1.3.4-7pclos2013
- rebuild for new ffmpeg 2.0

* Wed Feb 13 2013 pinoc <vogtpet at gmail.com> 1.3.4-5pclos2013
- added videodev and soundwrapper patch
- rebuild on 64

